- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions

# QGraphicsItemAnimation Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qgraphicsitemanimation.h.

`#include <qgraphicsitemanimation.h>`

Inheritance diagram for QGraphicsItemAnimation:
[legend]

List of all members.

## Public Slots
void | setStep (qreal x)
void | reset ()
## Public Member Functions
| QGraphicsItemAnimation (QObject *parent=0)
virtual | ~QGraphicsItemAnimation ()
QGraphicsItem * | item () const
void | setItem (QGraphicsItem *item)
QTimeLine * | timeLine () const
void | setTimeLine (QTimeLine *timeLine)
QPointF | posAt (qreal step) const
QList< QPair< qreal, QPointF > > | posList () const
void | setPosAt (qreal step, const QPointF &pos)
QMatrix | matrixAt (qreal step) const
qreal | rotationAt (qreal step) const
QList< QPair< qreal, qreal > > | rotationList () const
void | setRotationAt (qreal step, qreal angle)
qreal | xTranslationAt (qreal step) const
qreal | yTranslationAt (qreal step) const
QList< QPair< qreal, QPointF > > | translationList () const
void | setTranslationAt (qreal step, qreal dx, qreal dy)
qreal | verticalScaleAt (qreal step) const
qreal | horizontalScaleAt (qreal step) const
QList< QPair< qreal, QPointF > > | scaleList () const
void | setScaleAt (qreal step, qreal sx, qreal sy)
qreal | verticalShearAt (qreal step) const
qreal | horizontalShearAt (qreal step) const
QList< QPair< qreal, QPointF > > | shearList () const
void | setShearAt (qreal step, qreal sh, qreal sv)
void | clear ()
## Protected Member Functions
virtual void | beforeAnimationStep (qreal step)
virtual void | afterAnimationStep (qreal step)

## Constructor & Destructor Documentation

QGraphicsItemAnimation | ( | QObject * | parent = `0` | ) |

virtual ~QGraphicsItemAnimation | ( |  | ) | `[virtual]`

## Member Function Documentation

QGraphicsItem* item | ( |  | ) | const

Search for all occurrences

void setItem | ( | QGraphicsItem * | item | ) |

Search for all occurrences

QTimeLine* timeLine | ( |  | ) | const

Search for all occurrences

void setTimeLine | ( | QTimeLine * | timeLine | ) |

Search for all occurrences

QPointF posAt | ( | qreal | step | ) | const

Search for all occurrences

QList<QPair<qreal, QPointF> > posList | ( |  | ) | const

Search for all occurrences

void setPosAt | ( | qreal | step,
|  | const QPointF & | pos
| ) |  |

Search for all occurrences

QMatrix matrixAt | ( | qreal | step | ) | const

Search for all occurrences

qreal rotationAt | ( | qreal | step | ) | const

Search for all occurrences

QList<QPair<qreal, qreal> > rotationList | ( |  | ) | const

Search for all occurrences

void setRotationAt | ( | qreal | step,
|  | qreal | angle
| ) |  |

Search for all occurrences

qreal xTranslationAt | ( | qreal | step | ) | const

Search for all occurrences

qreal yTranslationAt | ( | qreal | step | ) | const

Search for all occurrences

QList<QPair<qreal, QPointF> > translationList | ( |  | ) | const

Search for all occurrences

void setTranslationAt | ( | qreal | step,
|  | qreal | dx,
|  | qreal | dy
| ) |  |

Search for all occurrences

qreal verticalScaleAt | ( | qreal | step | ) | const

Search for all occurrences

qreal horizontalScaleAt | ( | qreal | step | ) | const

Search for all occurrences

QList<QPair<qreal, QPointF> > scaleList | ( |  | ) | const

Search for all occurrences

void setScaleAt | ( | qreal | step,
|  | qreal | sx,
|  | qreal | sy
| ) |  |

Search for all occurrences

qreal verticalShearAt | ( | qreal | step | ) | const

Search for all occurrences

qreal horizontalShearAt | ( | qreal | step | ) | const

Search for all occurrences

QList<QPair<qreal, QPointF> > shearList | ( |  | ) | const

Search for all occurrences

void setShearAt | ( | qreal | step,
|  | qreal | sh,
|  | qreal | sv
| ) |  |

Search for all occurrences

void clear | ( |  | ) |

Search for all occurrences

void setStep | ( | qreal | x | ) | `[slot]`

Search for all occurrences

void reset | ( |  | ) | `[slot]`

Search for all occurrences

virtual void beforeAnimationStep | ( | qreal | step | ) | `[protected, virtual]`

Search for all occurrences

virtual void afterAnimationStep | ( | qreal | step | ) | `[protected, virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qgraphicsitemanimation.h

QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation
QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation QGraphicsItemAnimation